%define version	20020825
%define release	2mdk
%define major	16
%define fname	libgeda
%define libname %{fname}%{major}

Summary: 	Libraries for the gEDA project
Name: 		%{fname}
Version: 	%{version}
Release: 	%{release}
Source:		ftp://ftp.geda.seul.org/pub/geda/dist/%{fname}-%{version}.tar.bz2
Url:		http://www.geda.seul.org
License:	LGPL 
Group: 		System/Libraries
BuildRequires:	guile-devel
BuildRoot:  %{_tmppath}/%{name}

%description
This package contains libgeda16 (library needed by gEDA applications).

The gEDA project is working on producing a full GPL'd suite of
Electronic Design Automation tools. These tools are used for electrical
circuit design, simulation, prototyping, and production.

%package -n %libname
Summary: Libraries for the gEDA project
Version:    %{version}
Release:    %{release}
Group:      System/Libraries
Provides:	%fname
Obsoletes: %{fname}15

%description -n %libname
This package contains libgeda16 (library needed by gEDA applications).

The gEDA project is working on producing a full GPL'd suite of
Electronic Design Automation tools. These tools are used for electrical
circuit design, simulation, prototyping, and production.

%package -n %libname-devel
Summary:    Development libraries for the gEDA project
Version:    %{version}
Release:    %{release}
Group:      System/Libraries
BuildRoot:  %{_tmppath}/%{name}
Provides: %fname-devel
Requires: %{libname} = %version
Obsoletes: %{fname}15-devel

%description -n %libname-devel
This package contains libgeda16 development libraries needed
 by gEDA applications) and the necessary header files for development.

The gEDA project is working on producing a full GPL'd suite of
Electronic Design Automation tools. These tools are used for electrical
circuit design, simulation, prototyping, and production.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %fname-%version

%build

%configure

%make

%install

%makeinstall
./libtool --finish $RPM_BUILD_ROOT%{_libdir}

%post -n %libname 
%_install_info %{name}.info

%postin -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%preun -n %libname
%_remove_install_info %{name}.info

%clean
rm -Rf $RPM_BUILD_ROOT

%files -n %libname
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/libgeda.so.%major
%{_libdir}/libgeda.so.%major.0.0
%_infodir/*

%files -n %libname-devel
%defattr(-,root,root)
%doc COPYING
%{_bindir}/libgeda-config
%{_libdir}/libgeda.so
%{_libdir}/libgeda.a
%{_libdir}/libgeda.la
%dir %{_includedir}/libgeda
%{_includedir}/libgeda/*

%changelog
* Mon Oct 07 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20020825-2mdk
- Obsolete libgeda15

* Mon Oct 07 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20020825-1mdk
- 20020825
- fix %%libname%%major in desc
- fix package name

* Tue Jul 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 20020527-1mdk
- 20020527

* Thu May 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 20020414-2mdk
- info files
- fix changelog

* Thu May 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 20020414-1mdk
- 20020414

* Thu Oct 18 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 20010722-2mdk
- rpmlint fix

* Mon Aug 06 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 20010722-1mdk
- new snapshot
- libify
- capitalize summaries
- spec cleanup
- %%libname-devel requires %%libname-%version
- add some doc in %%libname-devel

* Fri Sep 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 20000220-2mdk
- BM
- clean spec

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 20000220-1mdk
- initial spec
